a > .loader {
  width: 14px;
  height: 14px;
  border: 2px solid #525252;
  border-top: 2px solid var(--primary-color);
  margin-top: 6px;
}

.loader {
  border: 4px solid #525252;
  border-top: 4px solid var(--primary-color);
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 0.7s linear infinite;
  margin: auto;

  &__center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}